- Passthrough Headers
- Account Trade Auth
- Accounts
- Whale Record Agreement(同步签署协议状态)
- Get Account Trade Permission
- Retrieve Account Application Information(获取证券账户开户资料信息)
- Get Account List(获取用户账户列表)
- Get Account Request List(获取用户开户申请列表)
- Get Account Contact Info(获取账户联系方式)
- Get Account Status(获取账户状态)
- Get Account Bcan Information(获取账户 Bcan 信息)
- Query Account List V2(获取账户列表V2)
- Update Application(修改开户资料)
- Submit Application(提交开户申请资料)
- Update Account State/Disable Account
- Submit Application V2(提交开户申请资料)
- Update Application V2(修改开户资料)
- Close Account(注销账户)
- Open additional account(增开账户)
- get account opening application information (开户申请信息获取)
- Query Account Risk And Pi Info(获取用户风险测评以及Pi信息)
- Asset
- Query Total Holdings(查询全量股票持仓)
- Query Account Cash Balance(账户现金查询)
- Query Total Cash(查询全量现金)
- Query Account Position(账户持仓查询)
- Account Cash Balance Adjustment(账户资金调账)
- Account Position Adjustment(账户持仓调账,只支持股票)
- Account Cash Balance Freeze(账户资金冻结)
- Account Cash Balance Unfreeze(账户资金解冻)
- Account Cash Balance Unfreeze Debit(账户资金解冻扣款)
- Account Stock Transaction History(账户股票流水)
- Account Cash Transaction History(账户资金流水)
- Account Stock Freeze Transaction History(账户股票冻结流水)
- Account Cash Freeze Transaction History(账户资金冻结流水)
- Query Limited Amount Information(限额信息查询)
- Query Buy Power(购买力查询)
- Query Short Sellable Quantity(可卖空数量查询)
- Query OB Account Cash Balance(账户现金详情查询) 【定制非通用】
- Query Account Total Asset(账户资产查询)
- Query account risk limit config(查询用户限额信息)
- Query Account Total Asset OverView(账户资产总览)
- Query HashKey Cash List(查询hashkey的现金列表)
- Create account risk limit config(创建用户限额信息)
- Update account risk limit config(更新用户限额信息)
- Temp Adjust 临时调账新增
- Temp Adjust Expire 临时调账手动失效
- Get All Users Cash Balance (获取所有用户现金信息)
- Temporary Adjustment(临时调账)
- Billing
- Cash And Stocks Transfer
- Add Bank CardPOST
- Delete Bank CardDELETE
- Region BankGET
- Get User Bank Card ListGET
- User Card DetailGET
- Deposit DetailGET
- Submit Deposit ApplicationPOST
- Deposit Application ListGET
- Update Bank CardPUT
- Obtain the deposit informationGET
- Withdraw RecordsGET
- Withdraw DetailGET
- Cancel Withdraw ApplicationPOST
- Get ExchangeGET
- Cancel DepositPOST
- Submit Withdrawal ApplylicationPOST
- Information acquisition before withdrawal v3 (提现前信息获取V3)GET
- Update Bank CardPUT
- Submit Files For Review Withdraw CardPOST
- Currency ListGET
- Exchange records(兑换记录)GET
- Stock transfer out detail (查看转出详情)GET
- Stock transfer out records (查询转出记录)GET
- Transfer in detail (查看转入详情)GET
- Transfer in records (查询转入记录)GET
- File
- IPO
- Member Core
- Trade
- Trade Websocket Notification
- Historical Trade Detail Inquiry V2(历史成交明细查询V2)
- Historical Order Inquiry (历史订单查询)
- Place Order (委托下单)
- Modify Order (修改订单)
- Withdraw Order (撤销订单)
- Order Details (订单详情)
- Today's Order Inquiry (当日订单查询)
- Estimated Maximum Purchase Quantity (预估最大购买数量)
- Today's Trade Detail Inquiry (当日成交明细查询)
- Historical Trade Detail Inquiry (历史成交明细查询)
- Query User Trade Credit(查询客户交易额度v1)
- Message
- Search
- Reward Center
Transfer in records (查询转入记录)
Testing
GET
/v1/whaleapi/portfolio/rollover/record
Request
Authorization
Query Params
market
string
optional
Example:
HK/US/SG
state
integer
optional
Example:
-1-全部, 0-已提交, 1-已撤销, 3-完成, 5-执行中, 7-部分成功, 8-失败
start
integer
optional
end
integer
optional
page
integer
optional
Example:
1
size
integer
optional
Example:
10
account_no
string
required
Body Params multipart/form-data
object {0}
Responses
🟢200success
application/json
Body
code
integer
optional
message
string
optional
data
object
optional
records
array [object {23}]
optional
total
integer
optional
Example
{
"code": 0,
"message": "string",
"data": {
"records": [
{
"id": 0,
"order_id": "string",
"market": "string",
"market_symbol": "string",
"broker": "string",
"broker_id": 0,
"broker_en": "string",
"account": "string",
"name": "string",
"code": "string",
"contact": "string",
"contact_phone": "string",
"contact_email": "string",
"created_at": 0,
"updated_at": 0,
"state": "string",
"app_state": "string",
"stocks": [
{
"market": "string",
"name": "string",
"name_en": "string",
"code": "string",
"amount": "string",
"counter_id": "string",
"currency": "string"
}
],
"email_direct": true,
"user_email": "string",
"process_at": 0,
"website": "string",
"can_modify": 0
}
],
"total": 0
}
}Modified at 2026-01-30 03:06:21